/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-08-01 21:09
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;
ll N, M;

bool pos(){
    if(N == M) return 1;
    queue<ll> q({N});
    while(not q.empty()){
        auto pile = q.front(); q.pop();
        if(pile % 3 == 0){
            pile /= 3;
            if(pile == M or 2*pile == M)
                return 1;
            if(2 * pile > M)
                q.emplace(2 * pile);
            if(pile > M)
                q.emplace(pile);
        }
    }
    return 0;
}

void solve(){
    // Code goes here ...
    cin >> N >> M;
    cout << (pos() ? "YES" : "NO") << endl;
}

int main(){
    ios_base::sync_with_stdio(false);
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
